/*  ==============================
            Mobile Menu
=================================*/

.navbar-header {
    position: relative;
}

#mobile-nav-open-btn {
    font-size: 30px;
    color: #B67AFF;
    cursor: pointer;
    z-index: 2;
    position: absolute;
    right: 0;
    top: 6px;
    /* Hide Mobile Nav Open Btn */
    display: none;
}

#mobile-nav {
    /* By default, mobile nav will be hidden with height 0% */
    height: 0%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;
    background-color: rgba(255, 255, 255, .9);
    -webkit-transition: all 300ms linear;
    transition: all 300ms linear;
    overflow-y: hidden;
}

#mobile-nav-close-btn {
    font-family: "Raleway", sans-serfi;
    font-size: 70px;
    color: #212226;
    font-weight: 400;
    cursor: pointer;
    position: absolute;
    top: -9px;
    right: 13px;
    -webkit-transition: .3s;
    transition: .3s;
}

#mobile-nav-content {
    text-align: center;
    width: 100%;
    margin-top: 30px;
    position: relative;
    top: 10%;
}

#mobile-nav ul li {
    margin-bottom: 20px;
}

#mobile-nav a {
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    color: #212226;
    font-weight: 400;
    text-transform: uppercase;
    display: inline;
    -webkit-transition: .3s;
    transition: .3s;
}

#mobile-nav a:hover,
#mobile-nav a:focus,
#mobile-nav-close-btn:hover,
#mobile-nav-close-btn:focus {
    color: #B67AFF;
    background: none;
}

/* Mobile Nav Scroll Spy Active State */
.white-nav-top #mobile-nav ul.nav > li.active > a {
    color: #B67AFF;
    font-weight: 500;
}

/*  ==============================
    Responsive 3 Media Queries
=================================*/

/* Large Devices (Desktops & Laptops) */
@media (min-width: 1200px) and (max-width: 1299px) {


    /* Navigation */
    .site-nav-wrapper {
        padding: 0 20px;
    }

}

/* Medium Devices (Landscape Tablets & Medium Desktops) */
@media (min-width: 992px) and (max-width: 1199px) {

    /* Navigation */
    .site-nav-wrapper {
        padding: 0;
    }
    
    /* About */
    .about-item p {
        line-height: 19px;
    }

    /* Workshops */
    #services-tabs .tab-bg {
        padding: 6px 30px;
        min-height: 324px;
        max-height: 324px;
    }

    .service-tab p {
        line-height: 18px;
        margin-bottom: 15px;
    }

}

/* Small Devices (Portrait Tablets & Small Desktops) */
@media (min-width: 768px) and (max-width: 991px) {

    /* Navigation */
    .site-nav-wrapper {
        padding: 0;
    }

    /* Home */

    .header-text,
    .header-btns {
        text-align: center;
    }

    .logo h1 {
        font-size: 41px;
    }

    .header-text h1 {
        font-size: 31px;
    }

    .header-text p {
        font-size: 13px;
    }
    
    .header-btns {
        margin-top: 40px;
    }
    
    .btn-contact,
    .btn-contact:focus,
    .btn-contact:active,
    .btn-contact:visited {
        font-size: 16px;
    }

    .btn-tour,
    .btn-tour:focus,
    .btn-tour:active,
    .btn-tour:visited {
        font-size: 16px;
    }

    .btn-general {
        padding: 8px 35px 8px 35px;
        font-size: 10px;
    }

    /* Statement */
    #company-quote h3 {
        font-size: 20px;
        line-height: 30px;
    }
    
    /* About */
    .about-item p {
        line-height: 13px;
    }

    /* Services 02 */
    .r-tabs-accordion-title {
        text-align: center;
        margin-bottom: 10px;
    }

    .r-tabs-accordion-title a {
        font-family: 'Raleway', sans-serif;
        font-size: 13px;
        color: #212226;
        text-transform: uppercase;
        font-weight: 400;
        padding: 0;
        text-decoration: none;
    }

    .r-tabs-accordion-title.r-tabs-state-active a {
        color: #B67AFF;
        font-weight: 700;
        border-bottom: 3px solid #B67AFF;
        padding-bottom: 5px;
        -webkit-transition: border-color 300ms linear;
        transition: border-color 300ms linear;
    }

    /* Contact */
    ul.office-details li {
        margin-right: 15px;
    }

    ul.office-details li i {
        width: 30px;
    }

}

/* Extra Small Devices (Landscape Phones & Portrait Tablets) */
@media (max-width: 767px) {

    /* Navigation */

    .navbar {
        padding: 20px 0;
    }

    .site-nav-wrapper,
    .white-nav-top {
        padding: 0;
    }

    #mobile-nav-open-btn {
        display: block;
    }

    /* Home */

    /*.header-text, .header-btns {
        text-align: center;
    }*/

    #home {
        background-attachment: scroll;
    }

    .logo {
        padding-top: 120px;
        padding-bottom: 0;
    }

    .logo h1 {
        font-size: 41px;
    }

    .header-text h1 {
        font-size: 31px;
    }

    .header-text p {
        font-size: 13px;
    }

    .btn-contact,
    .btn-contact:focus,
    .btn-contact:active,
    .btn-contact:visited {
        font-size: 16px;
    }

    .btn-tour,
    .btn-tour:focus,
    .btn-tour:active,
    .btn-tour:visited {
        font-size: 16px;
    }

    /* Generic */
    .btn-general {
        padding: 8px 25px 6px 25px;
        font-size: 10px;
    }

    /* Services 01 */
    /* Horizontal Heading */
    .horizontal-heading {
        margin-bottom: 40px;
    }

    .horizontal-heading h2 {
        font-size: 30px;
    }

    .service,
    .service .icon {
        text-align: center;
    }

    .service h4 {
        font-size: 18px;
    }

    /* Services 02 */
    .r-tabs-accordion-title {
        text-align: center;
        margin-bottom: 10px;
    }

    .r-tabs-accordion-title a {
        font-family: 'Raleway', sans-serif;
        font-size: 13px;
        color: #212226;
        text-transform: uppercase;
        font-weight: 400;
        padding: 0;
        text-decoration: none;
    }

    .r-tabs-accordion-title.r-tabs-state-active a {
        color: #B67AFF;
        font-weight: 700;
        border-bottom: 3px solid #B67AFF;
        padding-bottom: 5px;
        -webkit-transition: border-color 300ms linear;
        transition: border-color 300ms linear;
    }

    #services-tabs .tab-bg {
        text-align: center;
        padding: 40px 30px;
    }

    #services-tabs h2 {
        font-size: 40px;
    }

    #services-tabs h3 {
        font-size: 28px;
    }


    /* Statement */
    /* Large Content Box */
    .content-box-lg {
        padding: 90px 0;
    }

    /* Statement */

    #statement {
        background-attachment: scroll;
    }

    #company-quote h3 {
        font-size: 20px;
        line-height: 30px;
    }

    /* About */
    /* Medium Content Box */
    .content-box-md {
        padding: 80px 0;
    }

    .about-item {
        padding: 55px 30px;
        margin-bottom: 35px;
    }

    .about-item i {
        font-size: 30px;
    }

    .about-item h3 {
        font-size: 18px;
    }

    /* Testimonials */

    #testimonials-cover {
        background-attachment: scroll;
    }

    .testimonial blockquote {
        padding: 6px 50px;
    }

    .testimonial blockquote:before {
        left: 10px;
    }

    .testimonial blockquote:after {
        right: 10px;
    }

    .testimonial blockquote p {
        font-size: 14px;
    }

    /* Shop */
    #shop {
        background-attachment: scroll;
    }

    /* Contact */
    .office {
        margin-bottom: 40px;
    }

    ul.office-details li {
        display: block;
        margin-top: 15px;
    }

    ul.office-details li i {
        width: auto;
        display: block;
        margin-bottom: 3px;
    }

    ul.social-list {
        margin-bottom: 40px;
    }
}

/* Extra Small Devices (Portrait Phones & Smaller Devices) */
@media (max-width: 480px) {

    /* Home */

    /*.header-text, .header-btns {
    text-align: center;
    }*/

    .logo {
        padding-top: 100px;
        padding-bottom: 0;
    }

    .logo h1 {
        font-size: 34px;
    }
    
    .header-btns {
        margin-top: 40px;
    }

    .header-text h1 {
        font-size: 27px;
        padding-top: 0;
        margin-top: 0;
        line-height: 37px;
    }

    .header-text p {
        font-size: 13px;
    }

    .btn-contact,
    .btn-contact:focus,
    .btn-contact:active,
    .btn-contact:visited {
        font-size: 10px;
    }

    .btn-tour,
    .btn-tour:focus,
    .btn-tour:active,
    .btn-tour:visited {
        font-size: 10px;
        margin-left: 0;
    }

    .btn-general {
        padding: 8px 35px 8px 35px;
        font-size: 10px;
    }

    /* Workshops */
    .service-tab .tab-bg {
        min-height: 420px;
        max-height: 420px;
    }
    

    /* Shop */
    .shop-logo h1 {
        font-size: 34px;
    }

    .shop-text h1 {
        font-size: 27px;
    }

}

/* Extra Small Devices */
@media (max-width: 320px) {

    /* Home */

    /*.header-text, .header-btns {
    text-align: center;
    }*/

    .logo {
        padding-top: 60px;
        padding-bottom: 0;
        margin-bottom: 0;
    }

    .logo h1 {
        font-size: 30px;
    }

    .header-text h1 {
        font-size: 20px;
        padding-top: 0;
        margin-top: 0;
        line-height: 30px;
    }

    .header-text p {
        font-size: 13px;
    }
    
    .header-btns {
        margin-top: 40px;
    }

    .btn-contact,
    .btn-contact:focus,
    .btn-contact:active,
    .btn-contact:visited {
        font-size: 10px;
    }

    .btn-tour,
    .btn-tour:focus,
    .btn-tour:active,
    .btn-tour:visited {
        font-size: 10px;
        margin-left: 0;
    }

    .btn-general {
        padding: 8px 35px 8px 35px;
        font-size: 10px;
    }

    /* Testimonials */
    .testimonial img {
        max-width: 80px;
    }

    .testimonial blockquote {
        padding: 6px 30px;
    }

    .testimonial blockquote:before {
        left: 7px;
    }

    .testimonial blockquote:after {
        right: 7px;
    }

    /* Shop */
    .shop-logo h1 {
        font-size: 30px;
    }

    .shop-text h1 {
        font-size: 20px;
    }

}